Download it now!
Bug 90729 - Charts - Data labels are not preserved after round trip in Line Charts
Summary: Charts - Data labels are not preserved after round trip in Line Charts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.0.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-04-20 03:39 UTC by Luke
Modified: 2015-04-22 18:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Native Calc Line Chart. Save as XLSX and labels will be removed (16.02 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-20 03:39 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-04-20 03:39:44 UTC
Created attachment 114935 [details]
Native Calc Line Chart. Save as XLSX and labels will be removed

The Data labels for line chart are not getting preserved after roundtrip. See attachment 114926 [details] for a native Excel example.
Comment 1 raal 2015-04-20 17:47:24 UTC
I can confirm with Version: 5.0.0.0.alpha0+
Build ID: 89f5c1516fd3cf96488d97f62065b1ae0bdb9efa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-18_10:10:39
Locale: cs_CZ

Works with LO 4.3.3, regression
Comment 2 Commit Notification 2015-04-22 03:40:48 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8961a43bd6605f4a06165f31f7a7fbb8ffdb8d0

export data labels for all chart types, tdf#90729

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.